﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core.Config
{
    /// <summary>
    /// Defines framework configuration constants.
    /// </summary>
    public static class ConfigConstants
    {
        /// <summary>
        /// The name of the module that holds certain basic properties that are common to all modules.
        /// </summary>
        public const String DefaultModuleName = "MyMedia";

        /// <summary>
        /// Constant defining the property name for the DBConnectionString stored in the default module
        /// </summary>
        public const String PropertyNameDBConnectionString = "DBConnectionString";

        /// <summary>
        /// Constant defining the property name for the TestDBConnectionString stored in the default module
        /// </summary>
        public const String PropertyNameTestDBConnectionString = "TestDBConnectionString";

        /// <summary>
        /// Constant defining the property name for the DefaultDBConnectionStringFormat stored in the default module
        /// </summary>
        public const String PropertyNameDefaultDBConnectionStringFormat = "DefaultDBConnectionStringFormat";

        /// <summary>
        /// Constant defining the property name for the ProxyString stored in the default module
        /// </summary>
        public const String PropertyNameProxyString = "ProxyString";

        /// <summary>
        /// Constant defining the module name of the unit that keeps actions' logging settings
        /// </summary>
        public const String LogActionModuleName = "ActionsLogging";

    }
}
