﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core.Config
{
    /// <summary>
    /// Interface that hides distinct configuration storages
    /// </summary>
    public interface IConfigLoader
    {
        /// <summary>
        /// Saves modified configuration of the specified module
        /// </summary>
        /// <param name="configModule">The configuration module to be saved</param>
        void SaveModuleModifiedConfiguration(ConfigModule configModule);

        /// <summary>
        /// Retrieves configuration of ALL modules registered with their default values
        /// </summary>
        /// <returns></returns>
        Dictionary<String, ConfigModule> GetAllModulesDefaultProperties();

        /// <summary>
        /// Retrieves configuration with those properties only that differ from the default ones (for all modules)
        /// </summary>
        /// <returns></returns>
        Dictionary<String, ConfigModule> GetAllModulesModifiedProperties();
    }
}
