﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core.Config
{
    /// <summary>
    /// Represents errors that occur while using configuration.
    /// </summary>
    [Serializable]
    public class RecommenderConfigurationException : Exception
    {
        const string defaultMessageFormatter = "MyMedia configuration missing element {0}.";
        /// <summary>
        /// Initializes a new instance of the <see cref="RecommenderConfigurationException"/> class.
        /// </summary>
        internal RecommenderConfigurationException()
            : base()
        {
        }
        /// <summary>
        /// Initializes a new instance of the <see cref="RecommenderConfigurationException"/> class.
        /// </summary>
        /// <param name="missingProperty">The missing property.</param>
        internal RecommenderConfigurationException(string missingProperty)
            : this(missingProperty, null)
        {
        }
        /// <summary>
        /// Initializes a new instance of the <see cref="RecommenderConfigurationException"/> class.
        /// </summary>
        /// <param name="missingProperty">The missing property.</param>
        /// <param name="innerException">The inner exception.</param>
        internal RecommenderConfigurationException(string missingProperty, Exception innerException)
            : base(string.Format(CultureInfo.InvariantCulture, defaultMessageFormatter, missingProperty), innerException)
        {
        }
        
    }
}
