﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// This interface is used to implement a callback for all context sources
    /// to return their context status changes to the context broker.
    /// </summary>
    internal interface IContextBroker
    {
        /// <summary>
        /// This function is used by the context sources to return context status change informations.
        /// </summary>
        /// <param name="contextStatus">The new context status object.</param>
        void ContextStatusChanged(ContextStatus contextStatus);
    }
}
