﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Parent class for CatalogItemRecommendation and VirtualProfileUsageInvitation
    /// </summary>
    public partial class ContentRecommendation
    {
        /// <summary>
        /// Constructor to initialize an object to be inserted to the DB
        /// </summary>
        /// <param name="fromUser"></param>
        /// <param name="toUser"></param>
        public ContentRecommendation(User fromUser, User toUser)
        {
            this.FromUser = fromUser;
            this.ToUser = toUser;

            this.IsAccepted = false;
            this.IsActive = true;

            this.Created = DateTime.Now;
            this.Modified = DateTime.Now;
        }

        /// <summary>
        /// Constructor to initialize an object to be inserted to the DB
        /// </summary>
        /// <param name="fromUser"></param>
        /// <param name="toExtUser"></param>
        public ContentRecommendation(User fromUser, ExternalSystemUser toExtUser)
        {
            this.FromUser = fromUser;
            this.ToExternalSystemUser = toExtUser;

            this.IsAccepted = false;
            this.IsActive = true;

            this.Created = DateTime.Now;
            this.Modified = DateTime.Now;
        }
    }
}
