﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Virtual profile usage invitation
    /// </summary>
    public partial class VirtualProfileUsageInvitation : ContentRecommendation
    {
        /// <summary>
        /// Constructor initializing the object that can be inserted into the DB next
        /// </summary>
        /// <param name="virtualProfileId"></param>
        /// <param name="fromUser"></param>
        /// <param name="toUser"></param>
        public VirtualProfileUsageInvitation(int virtualProfileId, User fromUser, User toUser)
            : base(fromUser, toUser)
        {
            this.VirtualProfileId = virtualProfileId;
        }

        /// <summary>
        /// Constructor initializing the object that can be inserted into the DB next
        /// </summary>
        /// <param name="virtualProfileId"></param>
        /// <param name="fromUser"></param>
        /// <param name="toExtUser"></param>
        public VirtualProfileUsageInvitation(int virtualProfileId, User fromUser, ExternalSystemUser toExtUser)
            : base(fromUser, toExtUser)
        {
            this.VirtualProfileId = virtualProfileId;
        }

    }
}
