﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents a generic action between a <see cref="User"/> and <see cref="CatalogItem"/>.
    /// </summary>
    /// <remarks>
    /// This is an extensibility mechanism to allow additional information about the user to be captured by the system.
    /// </remarks>
    partial class ViewedAction
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ViewedAction"/> class.
        /// </summary>
        /// <param name="user">The user.</param>
        /// <param name="item">The item.</param>
        public ViewedAction(User user, CatalogItem item) :
            base(user, item)
        {
        }

        internal override void PrepareForInsert(MyMediaDataContext dbContext)
        {
            base.PrepareForInsert(dbContext);
            throw new NotImplementedException();
        }
        /// <summary>
        /// Lambda expression to determine if two UserAction derived classes are logically equivalent.
        /// </summary>
        /// <returns></returns>
        public override System.Linq.Expressions.Expression<Func<UserAction, bool>> EquivalenceQuery()
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Resolves the equivalent action.
        /// </summary>
        /// <param name="existingAction">The existing action.</param>
        public override void ResolveEquivalentAction(UserAction existingAction)
        {
            throw new NotImplementedException();
        }
    }
}
