﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm
{
    /// <summary>
    /// Interface for <see cref="IEntityRelationEngine"/> which predict ratings, and require
    /// a rating value range.
    /// </summary>
    public interface IEntityRelationRatingPredictor : IEntityRelationEngine
    {
        /// <summary>
        /// Gets or sets the max rating value.
        /// </summary>
        /// <value>The max rating value.</value>
        double MaxRatingValue
        {
            get;
            set;
        }
        /// <summary>
        /// Gets or sets the min rating value.
        /// </summary>
        /// <value>The min rating value.</value>
        double MinRatingValue
        {
            get;
            set;
        }
    }
}
