﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Defines a method that handles new catalog items.
    /// </summary>
    /// <remarks>
    /// This method is used to handle new catalog items after the main catalog has been updated.
    /// </remarks>
    public interface INewCatalogItemHandler : INewCatalogItemHandler<CatalogItem>
    {
    }

    /// <summary>
    /// Defines a method that handles new catalog items.
    /// </summary>
    /// <remarks>
    /// This method is used to handle new catalog items after the main catalog has been updated.
    /// </remarks>
    /// <typeparam name="TCatalogItemType">The type of the catalog item type.</typeparam>
    public interface INewCatalogItemHandler<TCatalogItemType>
    {
        /// <summary>
        /// Handles the new catalog items.
        /// </summary>
        /// <param name="catalogItems">The catalog items.</param>
        void HandleNewCatalogItems(ReadOnlyCollection<TCatalogItemType> catalogItems);
    }
}
