﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using EMIC.Design;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents a recommendation style.
    /// </summary>
    internal enum FlowRecommendation
    {
        /// <summary>
        /// Default value; not used.
        /// </summary>
        None = 0,
        /// <summary>
        /// Predicts the rating.
        /// </summary>
        PredictRating,
        /// <summary>
        /// Returns the top "n" recommendations for the user, potentially
        /// optimizing the computational complexity of the result by visiting fewer items.
        /// </summary>
        TopN,
    }
}
