﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents a change to a data store.
    /// </summary>
    public class DataStoreChange : IDataStoreChange
    {
        /// <summary>
        /// The change type.
        /// </summary>

        private int changeNumber;
        private StoreChangeType changeType;
        private int changedItemId;

        /// <summary>
        /// Gets the change number.
        /// </summary>
        /// <value>The change number.</value>
        public int ChangeNumber
        {
            get { return changeNumber; }
            set { changeNumber = value; }
        }

        /// <summary>
        /// Gets the type of the change.
        /// </summary>
        /// <value>The type of the change.</value>
        public StoreChangeType ChangeType
        {
            get { return changeType; }
            set { changeType = value; }
        }

        /// <summary>
        /// Gets the item id.
        /// </summary>
        /// <value>The item id.</value>
        public int ChangedItemId
        {
            get { return changedItemId; }
            set { changedItemId = value; }
        }

        internal DataStoreChange(int changeNumber, StoreChangeType changeType, int itemId)
        {
            this.changeNumber = changeNumber;
            this.changeType = changeType;
            this.changedItemId = itemId;
        }
    }
}
