﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents a change to a data store.
    /// </summary>
    public interface IDataStoreChange
    {
        /// <summary>
        /// Gets or sets the change number.
        /// </summary>
        /// <value>The change number.</value>
        int ChangeNumber { get; set; }
        /// <summary>
        /// Gets or sets the type of the change.
        /// </summary>
        /// <value>The type of the change.</value>
        StoreChangeType ChangeType { get; set; }
        /// <summary>
        /// Gets or sets the item id.
        /// </summary>
        /// <value>The item id.</value>
        int ChangedItemId { get; set; }
    }
}
