﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Allows a query to be disposed with its underlying connection
    /// </summary>
    public interface IReleasableQueryable : IQueryable, IDisposable
    {
    }

    /// <summary>
    /// Allows a query to be disposed with its underlying connection
    /// </summary>
    public interface IReleasableQueryable<T> : IQueryable<T>, IDisposable
    {
        /// <summary>
        /// Replaces the query with the specified new query.
        /// </summary>
        /// <param name="newQuery">The new query.</param>
        void Change(IQueryable<T> newQuery);
    }
}
