﻿using System;
namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Interface to represent changes to a store.
    /// </summary>
    public interface IStoreChange
    {
        /// <summary>
        /// Gets or sets the change number.
        /// </summary>
        /// <value>The change number.</value>
        int ChangeNumber { get; set; }
        /// <summary>
        /// Gets or sets the type of the change.
        /// </summary>
        /// <value>The type of the change.</value>
        StoreChangeType ChangeType { get; set; }
        /// <summary>
        /// Gets or sets the item id.
        /// </summary>
        /// <value>The item id.</value>
        RecommenderId ChangedItemId { get; set; }
    }
}
