﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using MyMediaProject.RecommenderSystem.Core;

namespace RecommenderCoreTest
{
    public class FlowTestFixedRatingEngine<TCatalogItemType, TUserActionType> :
        Engine<TCatalogItemType, TUserActionType>
        where TCatalogItemType : CatalogItem
        where TUserActionType : UserAction
    {
        private double fixedRating;
        private const string engineGuidString = "5496491D-1771-4b26-928B-AF8B7610FC6D";

        public FlowTestFixedRatingEngine(double fixedRating)
            : base(new EngineId(new Guid(engineGuidString)),
                   "FlowTestFixedRatingEngine")
        {
            this.fixedRating = fixedRating;
        }

        public FlowTestFixedRatingEngine()
            : this(1.0)
        {
        }

        protected override void HandleNewCatalogItems(System.Collections.ObjectModel.ReadOnlyCollection<TCatalogItemType> catalogItems)
        {
        }

        protected override void HandleNewFeedback(System.Collections.ObjectModel.ReadOnlyCollection<TUserActionType> feedback)
        {
        }

        public override IList<Prediction<TCatalogItemType>> Predict(IEnumerable<TCatalogItemType> query, User user)
        {
            List<Prediction<TCatalogItemType>> result = new List<Prediction<TCatalogItemType>>(query.Count());

            foreach (TCatalogItemType ci in query)
            {
                Prediction<TCatalogItemType> p = new Prediction<TCatalogItemType>(ci);
                p.Explanation = new Explanation();
                p.Rating = this.fixedRating;

                result.Add(p);
            }

            return result;
        }
    }
}
