﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;

namespace RecommenderCoreTest
{
    [Serializable]
    class TestUserAction : PersistentItem
    {
        internal string testStringMember;
        internal int testIntMember;
        internal DateTime testTimeStamp;

        internal TestUserAction(RecommenderId id) :base(id)
        {
        }

        internal TestUserAction(RecommenderId id, string testStringMember, int testIntMember, DateTime testTimeStamp)
            : base(id)
        {
            this.testStringMember = testStringMember;
            this.testIntMember = testIntMember;
            this.testTimeStamp = testTimeStamp;
        }
    }

    internal class TestUserActionStore : UserActionStore
    {
        public TestUserActionStore(ProgramId programId)
            : base(programId)
        {
        }

        protected override void SendStoreChangedNotification(StoreChangedEventArgs storeChangedEventArgs)
        {
            new StoreChangeEvent().Fire(storeChangedEventArgs);
        }

        protected override void SendStoreInitializationNotification(StoreInitializationEventArgs storeInitializationEventArgs)
        {
            new StoreInitializationEvent().Fire(storeInitializationEventArgs);
        }
    }
}
