﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;
using MyMediaProject.RecommenderSystem.Framework;

namespace RecommenderFrameworkTest.Metrics
{
    public class NumberedItemFactory : CatalogItemFactory
    {
        static private CatalogItemFactoryId itemFactoryId = new CatalogItemFactoryId(new Guid("{429A767F-4134-45e5-90A1-A125192A01A5}"));
        static private string itemFactoryDescription = "Factor to create a numbered set of items for simple recommender tests.";
        
        private uint itemCount;

        public NumberedItemFactory()
            : base(itemFactoryId, itemFactoryDescription)
        {
        }

        public void AddItems(uint itemCount)
        {
            for (int i = 0; i < itemCount; i++)
            {
                CatalogItem item = this.DataContext.CreateItem();
                item.AddProperty(this.DataContext, "Rank", i.ToString());
                this.itemCount++;                
            }
            this.DataContext.SubmitChanges();
        }
    }
}
