﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;

namespace MyMediaProject.RecommenderSystem.Framework
{
    /// <summary>
    /// This class is a base class for every context status classes that have
    /// a time stamp associated with them.
    /// </summary>
    public class TimeStampedContextStatus : ContextStatus
    {
        private DateTime timestamp;

        /// <summary>
        /// The timestamp of the context status object.
        /// </summary>
        public DateTime Timestamp
        {
            get { return timestamp; }
            set { timestamp = value; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="TimeStampedContextStatus"/> class.
        /// </summary>
        public TimeStampedContextStatus()
        {
            this.timestamp = DateTime.MinValue;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="TimeStampedContextStatus"/> class.
        /// </summary>
        /// <param name="timestamp">The timestamp of the context status object.</param>
        public TimeStampedContextStatus(DateTime timestamp)
        {
            this.timestamp = timestamp;
        }
    }
}
