﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm;
using MyMediaProject.RecommenderSystem.Algorithms;

namespace RatingDemo
{
    class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args)
        {

            System.Console.WriteLine("Initializing the backend...");
            WP2Backend.GetInstance();
            
            // Setting up an ensemble of Matrix Factorization and Item-Average...
            EnsembleWeighted ensemble = new EnsembleWeighted();
            ensemble.EntityRelationDataProvider = WP2Backend.GetInstance();
            {
                RatingPredictorItemAverage item_avg = new RatingPredictorItemAverage();
                item_avg.EntityRelationDataProvider = WP2Backend.GetInstance();
                MatrixFactorization mf = new MatrixFactorization();
                mf.EntityRelationDataProvider = WP2Backend.GetInstance();
                ensemble.engines.Add(mf);
                ensemble.engines.Add(item_avg);
                ensemble.weights.Add(0.8);
                ensemble.weights.Add(0.2);
                System.Console.WriteLine("Training the recommender..."); 
                ensemble.Train();
            }
            IEntityRelationEngine engine = ensemble;

            int user_id = WP2Backend.GetInstance().max_user_id + 1;
            engine.AddEntity(EntityType.User, user_id, new object[] { });

            frmDemo frm = new frmDemo(engine, user_id);
            frm.ShowDialog();
            return;
        }
    }
}