#pragma once

using namespace System;

namespace mymedia {

    /// <summary>
    /// UIMA cpp annotation type descriptor class
    /// </summary>
    public ref class AnnotationType
    {
    public:

        /// <summary>
        /// Constructor.
        /// </summary>
        AnnotationType();

        /// <summary>
        /// Sets the uima annotation type
        /// </summary>
        /// <param name="type">The type.</param>
        void setType(String^ type);

        /// <summary>
        /// Sets the field for the annotation type which should be given back by the UIMAWrapper
        /// </summary>
        /// <param name="field">The field.</param>
        void setField(String^ field);

        /// <summary>
        /// Set the type of keyword, not used.
        /// </summary>
        /// <param name="keywordType">The keywordType.</param>
        void setKeywordType(String^ keywordType);

        /// <summary>
        /// get the uima annotation type uri
        /// </summary>
        /// <returns>The annotation type</returns>
        String^ getType();

        /// <summary>
        /// Get the field of the annotaion type.
        /// </summary>
        /// <returns>The field</returns>
        String^ getField();

        /// <summary>
        /// Get keyword type
        /// </summary>
        /// <returns>The keyword type</returns>
        String^ getKeywordType();
    private:
        String^ type;
        String^ field;
        String^ keywordType;
    };
}
