#pragma once

namespace mymedia {

    /// <summary>
    /// Wrapper around an annotation returned by UIMA
    /// </summary>
    public ref class AnnotationWrapper
    {
    public:

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="_text">The keyword text.</param>
        /// <param name="_type">The keywiord type.</param>
        AnnotationWrapper(System::String^ _text, System::String^ _type);

        /// <summary>
        /// The text for a keyword, most of the time this is a single word.
        /// </summary>
        /// <returns>keyword text</returns>
        System::String^ getText();

        /// <summary>
        /// The keyword type, currently not used
        /// </summary>
        /// <returns>The keyword type</returns>
        System::String^ getType();        
    private:
        System::String^ text;
        System::String^ type;        
    };
}
