package nl.telin.mymedia.db;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import nl.telin.mymedia.analysis.infgain.SparseVector;

@Entity
@Table(name="InfGainVector")
public class InfGainVector {
	private Integer index;
	private SparseVector vector;
	private Lemma lemma;
	
	public InfGainVector() {
		
	}
	
	public InfGainVector(Integer index, SparseVector vector, Lemma lemma) {
		super();
		this.index = index;
		this.vector = vector;
		this.lemma = lemma;
	}

	@Id
	@Column(name="id")
	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	@Lob
	public SparseVector getVector() {
		return vector;
	}

	public void setVector(SparseVector vector) {
		this.vector = vector;
	}

	@OneToOne(targetEntity=Lemma.class)
	@JoinColumn(name="lemma_id")
	public Lemma getLemma() {
		return lemma;
	}

	public void setLemma(Lemma lemma) {
		this.lemma = lemma;
	}
	
	
}
