package nl.telin.mymedia.db;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Index;

@Entity
@Table(name="lemma")
public class Lemma {

	private Integer id;
	private String lemma;
	private Integer docs;
	private Integer freq;
	private Integer vectorId;
	
	public Lemma() {
		
	}
	
	public Lemma(String lemma, Integer freq, Integer docs) {
		this.lemma = lemma;
		this.freq = freq;
		this.docs = docs;
		this.vectorId = -1;
	}
	
	@Index(name="lemma_index")
	public String getLemma() {
		return lemma;
	}
	public void setLemma(String lemma) {
		this.lemma = lemma;
	}
	
	/**
	 * 
	 * @return the total number of occurences 
	 */
	public Integer getFreq() {
		return freq;
	}
	public void setFreq(Integer freq) {
		this.freq = freq;
	}
	
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	

	public Integer getVectorId() {
		return vectorId;
	}

	public void setVectorId(Integer vectorId) {
		this.vectorId = vectorId;
	}

	/**
	 * 
	 * @return the number of documents this lemma occurred in.
	 */
	public Integer getDocs() {
		return docs;
	}

	public void setDocs(Integer docs) {
		this.docs = docs;
	}	
	
	public int hashCode() {
		return lemma.hashCode();
	}

	public boolean equals(Object obj) {
		if (!(obj instanceof Lemma)) {
			return false;
		}
		
		Lemma other = (Lemma) obj;
		return (this.vectorId == other.vectorId) && other.getLemma().equals(lemma);
	}
}
