package bbc.rd.subsyst;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;

public class BBCSubtitleConverter {
	private NormalisingSubtitleReader reader;
		
	public BBCSubtitleConverter() {
		
	}
	
	public static void main(String args[]) {
		if (args.length != 1) {
			printUsage();
			System.exit(1);
		}
		new BBCSubtitleConverter().convert(args[0]);
	}
	
	public static void printUsage() {
		System.out.println("Usage: ");
		System.out.println("java BBCSubtitleConverter PATH_TO_FILE ");
	}
	
	public void convert(String file) {
		try {
			BufferedInputStream in = new BufferedInputStream(new FileInputStream(file));
			String outName = file + ".txt";
			FileWriter out = new FileWriter(new File(outName));
			
			NormalisingSubtitleReader reader = new NormalisingSubtitleReader(in);
			String line = null;
			while ((line = reader.readLine()) != null) {
				out.write(line);
				out.write("\n");
			}
			out.close();
			in.close();
		} catch (IOException e) {
			
		}
	}
}
