package nl.telin.mymedia.treetagger;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.util.HashSet;
import java.util.Set;

public class CelexConverter {
	public static void main(String args[]) throws Exception {
		if (args.length < 2) {
			printUsage();
			System.exit(1);
		}
		
		String inputFile = args[0];
		String outputFile = args[1];
		
		System.out.println("Starting conversion from " + inputFile + " to " + outputFile);
		BufferedReader reader = new BufferedReader(new FileReader(inputFile));
		BufferedWriter writer = new BufferedWriter(new FileWriter(outputFile));
		
		String line = null;
		while ( (line = reader.readLine()) != null ) {
			String[] split = line.split("\t");
			
			if (split.length > 2) {
				Set<String> typesEncountered = new HashSet<String>();
				writer.write(split[0]);
				for(int i = 1; i < split.length;i++) {
					String type = split[i].split(" ")[0];
					if (!typesEncountered.contains(type)) {
						writer.write("\t");
						writer.write(split[i]);
						typesEncountered.add(type);
					} else {
//						writer.write("\n");
//						writer.write(split[0]);
//						writer.write("\t");
//						writer.write(split[i]);
					}
				}										
			} else {
				writer.write(line);				
			}
			writer.write("\n");
		}
		writer.flush();
		reader.close();
		writer.close();
	}

	private static void printUsage() {
		System.out.println("Usage: java CelexConverter [input] [output]");
		
	}
}
