package nl.telin.mymedia.wordnet;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Wout.Slakhorst
 * Represents a WordNet Synset
 */
public class Synset {
	private int byteOffset;
	private List<String> lemmas;
	private List<Synlink> links;
	
	public Synset(int byteOffset, List<String> lemmas) {
		this.byteOffset = byteOffset;
		this.lemmas = lemmas;
		this.links = new ArrayList<Synlink>();
	}

	public int getByteOffset() {
		return byteOffset;
	}

	public List<String> getLemmas() {
		return lemmas;
	}

	public List<Synlink> getLinks() {
		return links;
	}
	
	public void addSynlink(Synlink link) {
		links.add(link);
	}
	
	@Override
	public boolean equals(Object obj) {
		if (!(obj instanceof Synset)) {
			return false;
		}
		return ((Synset) obj).getByteOffset() == byteOffset;
	}

	@Override
	public int hashCode() {
		return byteOffset;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder(byteOffset);
		for (String s : lemmas) {
			builder.append(" ");
			builder.append(s);
		}
		return builder.toString(); 
	}	
	
}
