﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;
using MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm;
using System.IO;
using System.Text.RegularExpressions;

namespace MovieLens
{
    internal class MovieLensFeedbackImporter
    {
        private Recommender recommenderCore;

        public MovieLensFeedbackImporter(Recommender recommender)
        {
            recommenderCore = recommender;
        }


        public void ImportData(string filename)
        {
            TextReader file = new StreamReader(filename);

            string line = file.ReadLine();

            while (line != null)
            {

                //Format: UserID::MovieID::Rating::Timestamp

                string[] attributes = Regex.Split(line, "::");

                int user = Int32.Parse(attributes[0]);
                int movie = Int32.Parse(attributes[1]);
                double rating = Double.Parse(attributes[2]);
                DateTime timestamp = new DateTime(Int32.Parse(attributes[3])*10000000);
                // How do I get the user???
                RatingAction feedback = new RatingAction(new User(), (from r in recommenderCore.CatalogItemStore where (r.ItemId == movie) select r ).ElementAt(0), rating, timestamp);
                recommenderCore.ProcessFeedback(new RatingAction[] { feedback });
                line = file.ReadLine();
            }

            // this.SubmitChanges();
        }
    }
}