﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ExternalSystemIntegration
{
    /// <summary>
    ///  This class serves to encapsulate information about the request to 
    ///  perform redirect of user's WEB browser
    /// </summary>
    public class WebBrowserRedirectRequest
    {
        /// <summary>
        /// The URL the application should redirect user's WEB browser to
        /// </summary>
        public Uri Uri {get; set;}

        /// <summary>
        /// The name of the method to be called, passing it the response/callback from the WEB request
        /// </summary>
        public string MethodNameToPassCallback{get; set;}

        /// <summary>
        /// Constructor for the user's WEB browser redirect request
        /// </summary>
        /// <param name="uri">The URI.</param>
        /// <param name="callbackMethodName">Name of the callback method.</param>
        public WebBrowserRedirectRequest(Uri uri, string callbackMethodName)
        {
            this.Uri = uri;
            this.MethodNameToPassCallback = callbackMethodName;
        }
    }
}
